%define		_class		File
%define		_subclass	Bittorrent
%define		upstream_name	%{_class}_%{_subclass}

Name:		php-pear-%{upstream_name}
Version:	1.1.0
Release:	%mkrel 10
Summary:	Decode and Encode data in Bittorrent format
License:	PHP License
Group:		Development/PHP
URL:		http://pear.php.net/package/File_Bittorrent/
Source0:	http://download.pear.php.net/package/%{upstream_name}-%{version}.tar.bz2
Requires(post): php-pear
Requires(preun): php-pear
Requires:	php-pear
BuildArch:	noarch
BuildRequires:	php-pear

%description
This package consists of two classes which handles the encoding and
decoding of data in Bittorrent format.

You can also extract useful informations from .torrent files.

%prep
%setup -q -c
mv package.xml %{upstream_name}-%{version}/%{upstream_name}.xml

%install
cd %{upstream_name}-%{version}
pear install --nodeps --packagingroot %{buildroot} %{upstream_name}.xml
rm -rf %{buildroot}%{_datadir}/pear/.??*

rm -rf %{buildroot}%{_datadir}/pear/docs
rm -rf %{buildroot}%{_datadir}/pear/tests

install -d %{buildroot}%{_datadir}/pear/packages
install -m 644 %{upstream_name}.xml %{buildroot}%{_datadir}/pear/packages

%files
%{_datadir}/pear/%{_class}
%{_datadir}/pear/packages/%{upstream_name}.xml




%changelog
* Wed Oct 15 2014 umeabot <umeabot> 1.1.0-10.mga5
+ Revision: 746207
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1.0-9.mga5
+ Revision: 687243
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.1.0-8.mga4
+ Revision: 516775
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.1.0-7.mga3
+ Revision: 376084
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Feb 05 2011 spuhler <spuhler> 1.1.0-6.mga1
+ Revision: 47371
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-File_Bittorrent


* Tue Dec 07 2010 Oden Eriksson <oeriksson@mandriva.com> 1.1.0-6mdv2011.0
+ Revision: 613655
- the mass rebuild of 2010.1 packages

* Mon Dec 14 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.1.0-5mdv2010.1
+ Revision: 478662
- spec cleanup
- use pear installer
- don't ship tests, even in documentation
- own all directories
- use rpm filetriggers starting from mandriva 2010.1

* Mon Sep 14 2009 Thierry Vignaud <tv@mandriva.org> 1.1.0-4mdv2010.0
+ Revision: 441028
- rebuild

* Thu Jan 01 2009 Oden Eriksson <oeriksson@mandriva.com> 1.1.0-3mdv2009.1
+ Revision: 321969
- rebuild

* Thu Jul 17 2008 Oden Eriksson <oeriksson@mandriva.com> 1.1.0-2mdv2009.0
+ Revision: 236833
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 1.1.0-1mdv2008.1
+ Revision: 136404
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Apr 20 2007 Oden Eriksson <oeriksson@mandriva.com> 1.1.0-1mdv2008.0
+ Revision: 15817
- fix build
- fix build
- 1.1.0


* Sat Nov 11 2006 Oden Eriksson <oeriksson@mandriva.com> 0.1.6-7mdv2007.0
+ Revision: 81570
- Import php-pear-File_Bittorrent

* Fri Feb 10 2006 Oden Eriksson <oeriksson@mandriva.com> 0.1.6-7mdk
- new group (Development/PHP)

* Fri Aug 26 2005 Oden Eriksson <oeriksson@mandriva.com> 0.1.6-6mdk
- rebuilt to fix auto deps

* Wed Aug 10 2005 Oden Eriksson <oeriksson@mandriva.com> 0.1.6-5mdk
- rebuilt to use new pear auto deps/reqs from pld

* Sun Jul 31 2005 Oden Eriksson <oeriksson@mandriva.com> 0.1.6-4mdk
- fix deps

* Thu Jul 21 2005 Oden Eriksson <oeriksson@mandriva.com> 0.1.6-3mdk
- reworked the %%post and %%preun stuff, like in conectiva
- fix deps

* Wed Jul 20 2005 Oden Eriksson <oeriksson@mandriva.com> 0.1.6-2mdk
- fix deps

* Tue Jul 19 2005 Oden Eriksson <oeriksson@mandriva.com> 0.1.6-1mdk
- initial Mandriva package (PLD import)

